System requirements

From Art of Conquest Wiki
Jump to: navigation, search

This article is a stub. You can help Art of Conquest Wiki by expanding it.

Art of Conquest requires a device running either:

  • Android 4.1 and up
  • iOS 8.0 and up